JBoss API: Class ServerSessionPoolLoader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.asf
Class ServerSessionPoolLoader

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.jms.asf.ServerSessionPoolLoader

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServerSessionPoolLoaderMBean, Service, ServiceMBean

public class ServerSessionPoolLoader
extends ServiceMBeanSupport
implements ServerSessionPoolLoaderMBean

A loader for `ServerSessionPools`.

Created: Wed Nov 29 16:14:46 2000

Version:
  $Revision: 1.2.6.3 $
Author:
  Peter Antman., Jason Dillon

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.jms.asf.ServerSessionPoolLoaderMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`ServerSessionPoolLoader()`

Method Summary
`java.lang.String` | `getName()` Get the name of this service.
`javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)` Get the JMX object name for this MBean.
`java.lang.String` | `getPoolFactoryClass()` Get the classname of pool factory to use.
`java.lang.String` | `getPoolName()` Get the pool name.
`void` | `setPoolFactoryClass(java.lang.String classname)` Set the classname of pool factory to use.
`void` | `setPoolName(java.lang.String name)` Set the pool name.
`protected void` | `startService()` Start the service.
`protected void` | `stopService()` Stop the service.

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Constructor Detail

### ServerSessionPoolLoader

    public ServerSessionPoolLoader()

Method Detail

### setPoolName

    public void setPoolName(java.lang.String name)

  Set the pool name.
  Specified by:
    `setPoolName` in interface `ServerSessionPoolLoaderMBean`
  Parameters:
    `name` - The pool name.

### getPoolName

    public java.lang.String getPoolName()

  Get the pool name.
  Specified by:
    `getPoolName` in interface `ServerSessionPoolLoaderMBean`
  Returns:
    The pool name.

### setPoolFactoryClass

    public void setPoolFactoryClass(java.lang.String classname)

  Set the classname of pool factory to use.
  Specified by:
    `setPoolFactoryClass` in interface `ServerSessionPoolLoaderMBean`
  Parameters:
    `classname` - The name of the pool factory class.

### getPoolFactoryClass

    public java.lang.String getPoolFactoryClass()

  Get the classname of pool factory to use.
  Specified by:
    `getPoolFactoryClass` in interface `ServerSessionPoolLoaderMBean`
  Returns:
    The name of the pool factory class.

### getObjectName

    public javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                     javax.management.ObjectName name)
                                              throws javax.management.MalformedObjectNameException

  Get the JMX object name for this MBean.
  Overrides:
    `getObjectName` in class `ServiceMBeanSupport`
  Parameters:
    `server` - The server which this bean is loaded.
    `name` - The user specified name.
  Throws:
    `javax.management.MalformedObjectNameException` -

### getName

    public java.lang.String getName()

  Get the name of this service.
  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`
  Returns:
    The pool name.

### startService

    protected void startService()
                         throws java.lang.Exception

  Start the service.

  Bind the pool factory into JNDI.

  Overrides:
    `startService` in class `ServiceMBeanSupport`
  Throws:
    `java.lang.Exception` -

### stopService

    protected void stopService()

  Stop the service.

  Unbind from JNDI.

  Overrides:
    `stopService` in class `ServiceMBeanSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.